[hackers] [scc] [tests] Mark with TODO the known failed tests || Roberto E. Vargas Caballero

From: <git_AT_suckless.org>
Date: Sun, 26 Feb 2017 12:35:49 +0100 (CET)

commit ce2ba80db757ad95bf1011ba2cfe451552f31735
Author: Roberto E. Vargas Caballero <k0ga_AT_shike2.com>
AuthorDate: Sun Feb 26 12:35:04 2017 +0100
Commit: Roberto E. Vargas Caballero <k0ga_AT_shike2.com>
CommitDate: Sun Feb 26 12:35:04 2017 +0100

    [tests] Mark with TODO the known failed tests

diff --git a/tests/execute/Makefile b/tests/execute/Makefile
index ff1b466..267289a 100644
--- a/tests/execute/Makefile
+++ b/tests/execute/Makefile
_AT_@ -2,6 +2,6 @@
 all: tests
 
 tests:
- SCCEXECPATH=../../bin PATH=../../bin:$$PATH ./chktest.sh `cat scc-tests.lst`
+ SCCEXECPATH=../../bin PATH=../../bin:$$PATH ./chktest.sh < scc-tests.lst
 clean:
         rm -f *.as *.o *.ir *.qbe *core
diff --git a/tests/execute/chktest.sh b/tests/execute/chktest.sh
index 0d36c53..9ca9d9d 100755
--- a/tests/execute/chktest.sh
+++ b/tests/execute/chktest.sh
_AT_@ -4,9 +4,15 @@ trap 'tabs -8;rm -f a.out' 0 1 2 3 15
 tabs 40
 ulimit -c 0
 
-for i in $_AT_
+while read i state
 do
         printf "%s\t" $i
- rm -f a.out
- (scc -Isysinclude -m qbe "$i" && ./a.out) 2>/dev/null && echo [OK] || echo [FAILED]
+ if test "$state" = TODO
+ then
+ echo '[TODO]'
+ else
+ rm -f a.out
+ (scc -Isysinclude -m qbe "$i" && ./a.out) 2>/dev/null &&
+ echo [OK] || echo [FAILED]
+ fi
 done
diff --git a/tests/execute/scc-tests.lst b/tests/execute/scc-tests.lst
index e61424f..df4986c 100644
--- a/tests/execute/scc-tests.lst
+++ b/tests/execute/scc-tests.lst
_AT_@ -52,7 +52,7 @@
 0054-struct.c
 0055-enum.c
 0056-enum.c
-0057-duff.c
+0057-duff.c TODO
 0058-bug.c
 0059-multistring.c
 0060-charlit.c
_AT_@ -86,28 +86,28 @@
 0091-fptr.c
 0092-fptr.c
 0093-arrayinit.c
-0094-arrayinit.c
+0094-arrayinit.c TODO
 0095-arrayselector.c
 0096-inferredarraysize.c
 0097-extern.c
-0098-tentative.c
-0099-tentative.c
+0098-tentative.c TODO
+0099-tentative.c TODO
 0102-bug.c
 0103-voidparm.c
 0104-qbebug.c
 0105-shl.c
 0106-ppcast.c
-0107-bnot.c
+0107-bnot.c TODO
 0108-bug.c
 0109-struct.c
 0110-typedefcast.c
 0111-doubledef.c
 0112-cond.c
 0113-externredecl.c
-0114-shortassig.c
+0114-shortassig.c TODO
 0115-null-comparision.c
-0116-floatcmp.c
+0116-floatcmp.c TODO
 0117-pointarith.c
-0118-voidmain.c
+0118-voidmain.c TODO
 0119-macrostr.c
 0120-funpar.c
Received on Sun Feb 26 2017 - 12:35:49 CET

This archive was generated by hypermail 2.3.0 : Sun Feb 26 2017 - 12:36:19 CET